Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeDhcpOptionsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeDhcpOptionsRequest

    public class DescribeDhcpOptionsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeDhcpOptions operation`.

Gives you information about one or more sets of DHCP options. You can specify one or more DHCP options set IDs, or no IDs (to describe all your sets of DHCP options). The returned information consists of:

- The DHCP options set ID
- The options

See Also:
  `AmazonEC2.describeDhcpOptions(DescribeDhcpOptionsRequest)`

Constructor Summary
`DescribeDhcpOptionsRequest()`

Method Summary
`List<String>` | `getDhcpOptionsIds()` Returns the value of the DhcpOptionsIds property for this object.
`void` | `setDhcpOptionsIds(Collection<String> dhcpOptionsIds)` Sets the value of the DhcpOptionsIds property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeDhcpOptionsRequest` | `withDhcpOptionsIds(Collection<String> dhcpOptionsIds)` Sets the value of the DhcpOptionsIds property for this object.
`DescribeDhcpOptionsRequest` | `withDhcpOptionsIds(String... dhcpOptionsIds)` Sets the value of the DhcpOptionsIds property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeDhcpOptionsRequest

    public DescribeDhcpOptionsRequest()

Method Detail

### getDhcpOptionsIds

    public List<String> getDhcpOptionsIds()

  Returns the value of the DhcpOptionsIds property for this object.

  Returns:
    The value of the DhcpOptionsIds property for this object.

### setDhcpOptionsIds

    public void setDhcpOptionsIds(Collection<String> dhcpOptionsIds)

  Sets the value of the DhcpOptionsIds property for this object.

  Parameters:
    `dhcpOptionsIds` - The new value for the DhcpOptionsIds property for this object.

### withDhcpOptionsIds

    public DescribeDhcpOptionsRequest withDhcpOptionsIds(String... dhcpOptionsIds)

  Sets the value of the DhcpOptionsIds property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsIds` - The new value for the DhcpOptionsIds property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDhcpOptionsIds

    public DescribeDhcpOptionsRequest withDhcpOptionsIds(Collection<String> dhcpOptionsIds)

  Sets the value of the DhcpOptionsIds property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsIds` - The new value for the DhcpOptionsIds property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.